Returns the command's duration in microseconds

- « MongoDB\Driver\Monitoring\CommandFailedEvent::getDatabaseName

- MongoDB\Driver\Monitoring\CommandFailedEvent::getError »

- PHP Manual
- MongoDB\Driver\Monitoring\CommandFailedEvent
- Returns the command's duration in microseconds

# MongoDB\Driver\Monitoring\CommandFailedEvent::getDurationMicros

(mongodb >=1.3.0)

MongoDB\Driver\Monitoring\CommandFailedEvent::getDurationMicros — Returns the command's duration in microseconds

### Description

final public MongoDB\Driver\Monitoring\CommandFailedEvent::getDurationMicros(): int

The command's duration is a calculated value that includes the time to send the message and receive the reply from the server.

### Parameters

This function has no parameters.

### Return Values

Returns the command's duration in microseconds.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- Application Performance Monitoring (APM)